from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XLoadEventListener(XEventListener, Protocol):
    def loadFinished(self, Loader: XFrameLoader) -> None: ...
    def loadCancelled(self, Loader: XFrameLoader) -> None: ...
